/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.view.report;

import java.io.Serializable;
import java.math.BigInteger;

/**
 * View REPORT_DAILY_MONEY
 *
 * @author Picasso
 */
public class DailyMoney implements Serializable {

    private static final long serialVersionUID = -952115915026599651L;

    private String id;
    private Double payDay;
    private Double paySaving;
    private Double payAccident;
    private Double payTotal;
    private BigInteger expectedDay;
    private BigInteger expectedSaving;
    private BigInteger expectedAccident;
    private Double expenseToday;
    private Double sanctionToday;
    private Double dispositionToday;
    private Double accidentToday;
    private Double completeTotalToday;

    public DailyMoney() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Double getPayDay() {
        if (null == payDay) {
            payDay = 0d;
        }
        return payDay;
    }

    public void setPayDay(Double payDay) {
        this.payDay = payDay;
    }

    public Double getPaySaving() {
        if (null == paySaving) {
            paySaving = 0d;
        }
        return paySaving;
    }

    public void setPaySaving(Double paySaving) {
        this.paySaving = paySaving;
    }

    public Double getPayAccident() {
        if (null == payAccident) {
            payAccident = 0d;
        }
        return payAccident;
    }

    public void setPayAccident(Double payAccident) {
        this.payAccident = payAccident;
    }

    public Double getPayTotal() {
        if (null == payTotal) {
            payTotal = 0d;
        }
        return payTotal;
    }

    public void setPayTotal(Double payTotal) {
        this.payTotal = payTotal;
    }

    public BigInteger getExpectedDay() {
        if (null == expectedDay) {
            expectedDay = new BigInteger("0");
        }
        return expectedDay;
    }

    public void setExpectedDay(BigInteger expectedDay) {
        this.expectedDay = expectedDay;
    }

    public BigInteger getExpectedSaving() {
        if (null == expectedSaving) {
            expectedSaving = new BigInteger("0");
        }
        return expectedSaving;
    }

    public void setExpectedSaving(BigInteger expectedSaving) {
        this.expectedSaving = expectedSaving;
    }

    public BigInteger getExpectedAccident() {
        if (null == expectedAccident) {
            expectedAccident = new BigInteger("0");
        }
        return expectedAccident;
    }

    public void setExpectedAccident(BigInteger expectedAccident) {
        this.expectedAccident = expectedAccident;
    }

    public Double getExpenseToday() {
        if (null == expenseToday) {
            expenseToday = 0d;
        }
        return expenseToday;
    }

    public void setExpenseToday(Double expenseToday) {
        this.expenseToday = expenseToday;
    }

    public Double getSanctionToday() {
        if (null == sanctionToday) {
            sanctionToday = 0d;
        }
        return sanctionToday;
    }

    public void setSanctionToday(Double sanctionToday) {
        this.sanctionToday = sanctionToday;
    }

    public Double getDispositionToday() {
        if (null == dispositionToday) {
            dispositionToday = 0d;
        }
        return dispositionToday;
    }

    public void setDispositionToday(Double dispositionToday) {
        this.dispositionToday = dispositionToday;
    }

    public Double getAccidentToday() {
        if (null == accidentToday) {
            accidentToday = 0d;
        }
        return accidentToday;
    }

    public void setAccidentToday(Double accidentToday) {
        this.accidentToday = accidentToday;
    }

    public Double getCompleteTotalToday() {
        if (null == completeTotalToday) {
            completeTotalToday = 0d;
        }
        return completeTotalToday;
    }

    public void setCompleteTotalToday(Double completeTotalToday) {
        this.completeTotalToday = completeTotalToday;
    }

    @Override
    public String toString() {
        return "DailyMoney{" + "id=" + id + ", expectedSaving=" + expectedSaving + ", expectedAccident=" + expectedAccident + ", expenseToday=" + expenseToday + '}';
    }

}
